import java.util.*;
import java.awt.*;
import javax.imageio.ImageIO;
import java.io.*;
import java.awt.image.BufferedImage;
import java.lang.*;

public class OverlayImage{
	public static void main(String args[]) {
		if(args.length != 3){
			System.out.println("Usage: OverlayImage image1path image2path outputpath");
		}
		
		try {
			File file1 = new File(args[0]);
			File file2 = new File(args[1]);
			
			BufferedImage im1 = ImageIO.read(file1);
			BufferedImage im2 = ImageIO.read(file2);
			
			for (int y=0; y<im1.getHeight(); y++){
			for (int x=0; x<im1.getWidth(); x++){
				if(intensity(im2, x, y) == 0){
					im1.setRGB(x, im1.getHeight() - y - 1, (new Color(0, 0, 255)).getRGB());
				}
			}
			}
			
			ImageIO.write(im1, "png", new File(args[2]));
		} catch (Exception e){
			System.out.println(e);
		}
	}
	
	public static int intensity(BufferedImage bi, int x, int y){
		Color c = new Color(bi.getRGB(x,y));
		return (int)Math.floor((c.getRed() + c.getGreen() + c.getBlue()) / 3);
	}
}