import java.awt.*;
import java.util.*;
import java.io.*;

public class ParameterGroup extends Panel{
	Label name;
	Vector params;
	GridLayout l;
	int size;
	
	public ParameterGroup(String name0){
		name = new Label(name0);
		name.setFont(new Font("Serif", Font.BOLD, 14));
		this.add(name);
		params = new Vector();
		size = 2;

	}

	public void addParameter(Parameter p){
		incrementSize();
		params.add(p);
		this.add(p);
	}
	
	public void addButton(Button b){
		incrementSize();
		this.add(b);
	}
	
	public void addSpace(){
		incrementSize();
		this.add(new Label("  "));
	}
	
	public Parameter getParameter(int i){
		return (Parameter) params.elementAt(i);
	}
	
	public void incrementSize(){
		l = new GridLayout(++size, 1);
		this.setLayout(l);
	}
	
	public void writeToFile(FileWriter fw) throws IOException{
		System.out.println("Writing parameters '" + name.getText());
		Parameter p;
			
		fw.write("# ---- " + name.getText() + " ---- \n");
		for(int i=0; i<params.size(); i++){
			p = ((Parameter) params.elementAt(i));
			fw.write(p.tag + "=" + p.value.getText() + "\n");
		}
		fw.write("#\n"); 
	}
	
	public void readFromFile(BufferedReader br) throws IOException{
		System.out.println("Reading parameters '" + name.getText());
		Parameter p;
		String s;
		
		for(int i=0; i<params.size(); i++){
			p = ((Parameter) params.elementAt(i));
			while((s = br.readLine()).charAt(0) == '#');
			s = s.substring(s.indexOf('=') + 1);
			p.value.setText(s);
			//System.out.println("S = " + s);
			
			
			//fw.write(p.tag + "=" + p.value.getText() + "\n");
		}
	
	}
	
	public void setToDefault(){
		Parameter p;
		for(int i=0; i<params.size(); i++){
			p = ((Parameter) params.elementAt(i));
			p.setToDefault();
		}
	}

}